// acad.js - JavaScript functions for Banff Help Files
// 
// 09dec99 - v.0.05: added autoExpand
// 08dec99 - v.0.04: added jumpHTM and jumpCHM
// 30nov99 - v.0.03

// acOnload - placeholder for future functionality
function acOnload() {
//  autoExpand();
}

// Jump to local non-compiled HTML file from a CHM
// jumpHTM('drivers.htm');
function jumpHTM(file) {
  var path = location.pathname;
  var i = path.lastIndexOf("\\");
  var j = path.indexOf(":", 3);
  path = path.substring(j+1,i+1);
  //alert( "file://" + path + file );
  location.href = "file://" + path + file;
}

// Jump to a local CHM file from a non-compiled HTML file
// jumpCHM('drivers.chm::/d_index.htm');
function jumpCHM(file) {
  var path = location.pathname;
  var i = path.lastIndexOf("\\");
  path = path.substring(1,i+1);
  //alert( "ms-its:" + path + file );
  location.href = "ms-its:" + path + file;
}

function MakeArray(n) {
  this.length = n;
  for (var i = 1; i <= n; i++) { 
    this[i] = 0;
  }
  return this;
}

function toggleLeadin() {
  if( leadin.style.display == "" ) {
    leadin.style.display = "none";
  }
  else {
    leadin.style.display="";
  }
}


function csJump( type, name ) {
  var cstype, cslink;
  if(      type == "S" ) { cstype = "system variable"; }
  else if( type == "C" ) { cstype = "command"; cslink = name; }
  else if( type == "V" ) { cstype = "VBA object/method/property"; }
  else if( type == "L" ) { cstype = "LISP function"; }
  else { cstype = "undefined"; }
  if( cslink == "" ) {
    alert( "\nThis will eventually jump to the .. " + name + " " + cstype + "." );
  }
  else {
//alink1.Item2.value=
//    location.href = name;
  }
}

var lastspan = new MakeArray(5);
var lastlink = new MakeArray(5);
function togglespan( level, spanname, linkname ) {
  if( spanname.style.display == "" ) {
    spanname.style.display = "none";
    lastspan[level] = 0;
    lastlink[level] = 0;
if( linkname != null ) {
      linkname.style.fontWeight = "";
}
  }
  else {
    spanname.style.display="";
    if( lastspan[level] != 0 ) { 
      lastspan[level].style.display = "none"; 
      lastlink[level].style.fontWeight = "";
    }
    lastspan[level] = spanname;
if( linkname != null ) {
    lastlink[level] = linkname;
    linkname.style.fontWeight = "bold";
}
  }
}

var allon = 0;
function showAll() {
  if( allon == 1 ) {
    document.location.href = document.location.href;
  }
  else {
    for ( i=0; i < document.all.length; i++ ) {
      document.all.item(i).style.display = "";
    }
    allon = 1;
    showall1.innerText = "Collapse all hidden text on this page.";
    showall2.innerText = "";
  }
}

var isHiddenText = 0;
function autoExpand() {
  if( isHiddenText == 1 ) { showAll(); }
}

function toggleproc( procname, imgname, anchor ){
  var i = document.location.href.lastIndexOf("#");
  var cur_href = "";
  if( i > 0 ) { cur_href = document.location.href.substring(0,i); }
  if( procname.style.display == "" ) {
    procname.style.display = "none";
    imgname.src = "right.gif";
  }
  else {
    procname.style.display="";
    imgname.src = "down.gif";
//    document.location.href = cur_href + "#" + anchor;
  }
}




